net.sf.okapi.lib.xliff2.its

## Class LocQualityIssue

- java.lang.Object
- - net.sf.okapi.lib.xliff2.its.DataCategory
  - - net.sf.okapi.lib.xliff2.its.LocQualityIssue

- All Implemented Interfaces:
    IITSItem

      public class LocQualityIssue
      extends DataCategory

  Implements the Localization Quality Issue data category.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocQualityIssue()` Creates a new `LocQualityIssue` object without initial data.
    `LocQualityIssue(java.lang.String comment)` Creates a new `LocQualityIssue` object with a comment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IITSItem` | `createCopy()` Creates a deep-copy clone of this item.
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getDataCategoryName()` Gets the id/name of this data category.
    `java.lang.String` | `getProfileRef()`
    `java.lang.Double` | `getSeverity()`
    `java.lang.String` | `getType()`
    `java.lang.String` | `getUnresolvedGroupRef()`
    `boolean` | `hasUnresolvedGroup()` Indicates if this item has currently a reference to a stand-off element that has not been resolved yet.
    `boolean` | `isEnabled()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setProfileRef(java.lang.String profileRef)`
    `void` | `setSeverity(double severity)`
    `void` | `setType(java.lang.String type)`
    `void` | `setUnresolvedGroupRef(java.lang.String unresolvedGroupRef)`
    `void` | `validate()` Validates the data category.

    - ### Methods inherited from class net.sf.okapi.lib.xliff2.its.DataCategory

      `getAnnotatorRef, isGroup, setAnnotatorRef, setAnnotatorRef`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocQualityIssue

          public LocQualityIssue()

      Creates a new `LocQualityIssue` object without initial data.

    - #### LocQualityIssue

          public LocQualityIssue(java.lang.String comment)

      Creates a new `LocQualityIssue` object with a comment.
      Parameters:
        `comment` - the comment to set.

  - ### Method Detail

    - #### getDataCategoryName

          public java.lang.String getDataCategoryName()

      Description copied from interface: `IITSItem`
      Gets the id/name of this data category.
      Returns:
        the id/name of this data category.

    - #### validate

          public void validate()

      Description copied from interface: `IITSItem`
      Validates the data category. Checks if all required attributes are set properly.

    - #### createCopy

          public IITSItem createCopy()

      Description copied from interface: `IITSItem`
      Creates a deep-copy clone of this item.
      Returns:
        the duplicated item.

    - #### hasUnresolvedGroup

          public boolean hasUnresolvedGroup()

      Description copied from interface: `IITSItem`
      Indicates if this item has currently a reference to a stand-off element that has not been resolved yet.

      This occurs for example when a unit element has a reference to a set of Provenance instances and the stand-off element has not been read yet (because the reading of the unit's element is done after the reading of its attributes.

      Specified by:
        `hasUnresolvedGroup` in interface `IITSItem`
      Overrides:
        `hasUnresolvedGroup` in class `DataCategory`
      Returns:
        true if this item has currently an unresolved reference to a stand-off element.

    - #### getUnresolvedGroupRef

          public java.lang.String getUnresolvedGroupRef()

    - #### setUnresolvedGroupRef

          public void setUnresolvedGroupRef(java.lang.String unresolvedGroupRef)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType(java.lang.String type)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getSeverity

          public java.lang.Double getSeverity()

    - #### setSeverity

          public void setSeverity(double severity)

    - #### getProfileRef

          public java.lang.String getProfileRef()

    - #### setProfileRef

          public void setProfileRef(java.lang.String profileRef)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)